com.verisign.epp.framework

## Class EPPNameWatchHandler

- java.lang.Object
- - com.verisign.epp.framework.EPPNameWatchHandler

- All Implemented Interfaces:
    EPPEventHandler
  Direct Known Subclasses:
    NameWatchHandler

      public abstract class EPPNameWatchHandler
      extends java.lang.Object
      implements EPPEventHandler

  The `EPPNameWatchHandler` class provides an interface for handling EPP NameWatch Commands in a Server implementation. EPPEvents are handled by the handleEvent() method here and routed to the appropriate abstract member function. Subclasses should override the abstract methods to define the desired behavior of a particular command when it is received. A subclassed instance of `EPPNameWatchHandler` should be registered with the `EPPDispatcher` so that EEPEvents related to the NameWatch Mapping will be handled there.
  Version:
    $Revision: 1.1.1.1 $
  Author:
    $Author: jim $
  See Also:
    `EPPEventHandler`, `EPPEvent`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPNameWatchHandler()` Whenever an EPPNameWatchHandler instance is created load the corresponsding Map Factory into the Codec

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract EPPEventResponse` | `doNameWatchCreate(EPPEvent aEvent, java.lang.Object aData)` Invoked when a NameWatch Create command is received.
    `protected abstract EPPEventResponse` | `doNameWatchDelete(EPPEvent aEvent, java.lang.Object aData)` Invoked when a NameWatch Delete command is received.
    `protected abstract EPPEventResponse` | `doNameWatchInfo(EPPEvent aEvent, java.lang.Object aData)` Invoked when a NameWatch Info command is received.
    `protected abstract EPPEventResponse` | `doNameWatchRenew(EPPEvent aEvent, java.lang.Object aData)` Invoked when a NameWatch Renew command is received.
    `protected abstract EPPEventResponse` | `doNameWatchTransfer(EPPEvent aEvent, java.lang.Object aData)` Invoked when a NameWatch Transfer command is received.
    `protected abstract EPPEventResponse` | `doNameWatchUpdate(EPPEvent aEvent, java.lang.Object aData)` Invoked when a NameWatch Update command is received.
    `java.lang.String` | `getNamespace()` Returns the Namespace that this handler supports.
    `EPPEventResponse` | `handleEvent(EPPEvent aEvent, java.lang.Object aData)` This method receives an `EPPEvent` and routes it to the appropriate abstract method.
    `protected void` | `postHandleEvent(EPPEvent aEvent, java.lang.Object aData)` Handles any common behavior that all namewatch commands need to execute after they execute their command specific behavior.
    `protected void` | `preHandleEvent(EPPEvent aEvent, java.lang.Object aData)` Handles any common behavior that all namewatch commands need to execute before they execute their command specific behavior.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPNameWatchHandler

          public EPPNameWatchHandler()

      Whenever an EPPNameWatchHandler instance is created load the corresponsding Map Factory into the Codec

  - ### Method Detail

    - #### getNamespace

          public final java.lang.String getNamespace()

      Returns the Namespace that this handler supports. In this case, namewatch.
      Specified by:
        `getNamespace` in interface `EPPEventHandler`
      Returns:
        String The Namespace that this handler supports

    - #### handleEvent

          public final EPPEventResponse handleEvent(EPPEvent aEvent,
                                                    java.lang.Object aData)
                                             throws EPPEventException

      This method receives an `EPPEvent` and routes it to the appropriate abstract method.
      Specified by:
        `handleEvent` in interface `EPPEventHandler`
      Parameters:
        `aEvent` - An `EPPEvent` that contains the `EPPCommand`
        `aData` - Any data that a Server needs to send to this `EPPContactHandler` instance
      Returns:
        DOCUMENT ME!
      Throws:
        `EPPEventException` - Thrown if an unrecognized `EPPEvent` is received

    - #### preHandleEvent

          protected void preHandleEvent(EPPEvent aEvent,
                                        java.lang.Object aData)
                                 throws EPPHandleEventException

      Handles any common behavior that all namewatch commands need to execute before they execute their command specific behavior. The default implementation does nothing.
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPNameWatchHandler`
      Throws:
        `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

    - #### postHandleEvent

          protected void postHandleEvent(EPPEvent aEvent,
                                         java.lang.Object aData)
                                  throws EPPHandleEventException

      Handles any common behavior that all namewatch commands need to execute after they execute their command specific behavior. The default implementation does nothing
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPNameWatchHandler`
      Throws:
        `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

    - #### doNameWatchCreate

          protected abstract EPPEventResponse doNameWatchCreate(EPPEvent aEvent,
                                                                java.lang.Object aData)

      Invoked when a NameWatch Create command is received. Subclasses should define the behavior when a NameWatch Create command is received.
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPNameWatchHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doNameWatchDelete

          protected abstract EPPEventResponse doNameWatchDelete(EPPEvent aEvent,
                                                                java.lang.Object aData)

      Invoked when a NameWatch Delete command is received. Subclasses should define the behavior when a NameWatch Delete command is received.
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPNameWatchdHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doNameWatchInfo

          protected abstract EPPEventResponse doNameWatchInfo(EPPEvent aEvent,
                                                              java.lang.Object aData)

      Invoked when a NameWatch Info command is received. Subclasses should define the behavior when a NameWatch Info command is received.
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPNameWatchdHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doNameWatchRenew

          protected abstract EPPEventResponse doNameWatchRenew(EPPEvent aEvent,
                                                               java.lang.Object aData)

      Invoked when a NameWatch Renew command is received. Subclasses should define the behavior when a NameWatch Renew command is received.
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPNameWatchdHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doNameWatchTransfer

          protected abstract EPPEventResponse doNameWatchTransfer(EPPEvent aEvent,
                                                                  java.lang.Object aData)

      Invoked when a NameWatch Transfer command is received. Subclasses should define the behavior when a NameWatch Transfer command is received.
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPNameWatchdHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doNameWatchUpdate

          protected abstract EPPEventResponse doNameWatchUpdate(EPPEvent aEvent,
                                                                java.lang.Object aData)

      Invoked when a NameWatch Update command is received. Subclasses should define the behavior when a NameWatch Update command is received.
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPNameWatchdHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

Copyright © VeriSign Inc. All Rights Reserved.